<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
<!DOCTYPE bugzilla SYSTEM "http://bugs.gentoo.org/bugzilla.dtd">

<bugzilla version="2.22.7"
          urlbase="http://bugs.gentoo.org/"
          maintainer="bugzilla@gentoo.org"
>

    <bug>
          <bug_id>173398</bug_id>
          
          <creation_ts>2007-04-04 20:44 0000</creation_ts>
          <short_desc>sci-electronics/geda-20070216 sci-libs/libgeda-20070216 - broken built_with_use check</short_desc>
          <delta_ts>2007-04-13 13:24:48 0000</delta_ts>
          <reporter_accessible>1</reporter_accessible>
          <cclist_accessible>1</cclist_accessible>
          <classification_id>1</classification_id>
          <classification>Unclassified</classification>
          <product>Gentoo Linux</product>
          <component>Ebuilds</component>
          <version>unspecified</version>
          <rep_platform>All</rep_platform>
          <op_sys>Linux</op_sys>
          <bug_status>RESOLVED</bug_status>
          <resolution>NEEDINFO</resolution>
          
          
          <keywords>QAbaddie, QAbadiuse</keywords>
          <priority>P2</priority>
          <bug_severity>major</bug_severity>
          <target_milestone>---</target_milestone>
          <dependson>170903</dependson>
          
          
          <everconfirmed>1</everconfirmed>
          <reporter>mail@ssalewski.de</reporter>
          <assigned_to>calchan@gentoo.org</assigned_to>
          <cc>jakub@gentoo.org</cc>
    
    <cc>mattepiu@gentoo.org</cc>
    
    <cc>sci-electronics@gentoo.org</cc>

      

      
          <long_desc isprivate="0">
            <who>mail@ssalewski.de</who>
            <bug_when>2007-04-04 20:44:24 0000</bug_when>
            <thetext>I tried to install latest sci-electronics/geda (~amd64).
Installation fails because media-libs/gd was missing.
After &quot;emerge media-libs/gd&quot; and again &quot;emerge geda&quot; all is ok. 
Please note: Old geda was using sci-libs/libgdgeda, which is
obsolete with latest geda!

Thanks for your support. Here is the (first time) output of &quot;emerge geda&quot;

stefan@AMD64X2 ~ $ cat build.log 

!!! ERROR: sci-electronics/geda-20070216 failed.
Call stack:
  ebuild.sh, line 1630:   Called dyn_setup
  ebuild.sh, line 702:   Called qa_call &apos;pkg_setup&apos;
  ebuild.sh, line 38:   Called pkg_setup
  geda-20070216.ebuild, line 34:   Called built_with_use &apos;media-libs/gd&apos; &apos;png&apos;
  eutils.eclass, line 1654:   Called die

!!! Unable to resolve media-libs/gd to an installed package
!!! If you need support, post the topmost build error, and the call stack if relevant.
!!! A complete build log is located at &apos;/var/tmp/portage/sci-electronics/geda-20070216/temp/build.log&apos;.




Reproducible: Always

Steps to Reproduce:
1.emerge geda (on a fresh installation without media-libs/gd)
2.
3.

Actual Results:  
Unable to resolve media-libs/gd to an installed package

Expected Results:  
Installation of media-libs/gd before emerging geda</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>calchan@gentoo.org</who>
            <bug_when>2007-04-05 07:04:00 0000</bug_when>
            <thetext>It&apos;s me that&apos;s broken, not the built_with_use check... ;o)

Thanks for reporting this bug, It&apos;s hopefully fixed now. I have made quite a few changes to dependencies and use flag checks, so please do not hesitate to reopen this bug if it didn&apos;t work.

Denis.</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>jakub@gentoo.org</who>
            <bug_when>2007-04-05 17:29:33 0000</bug_when>
            <thetext>*** Bug 173481 has been marked as a duplicate of this bug. ***</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>jakub@gentoo.org</who>
            <bug_when>2007-04-05 17:30:12 0000</bug_when>
            <thetext>Reopen. Seriously, please test stuff before committing.
</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>jakub@gentoo.org</who>
            <bug_when>2007-04-05 17:33:52 0000</bug_when>
            <thetext>libgeda-20070216.ebuild:

&lt;snip&gt;
use gd &amp;&amp; built_with_use media-libs/gd png || die &quot;media-libs/gd must be compiled with USE=png&quot;
&lt;/snip&gt;

Dies w/ USE=&quot;-gd&quot;

geda-20070216.ebuild

&lt;snip&gt;
use gd &amp;&amp; built_with_use sci-libs/libgeda gd || die &quot;sci-libs/libgeda must be compiled with USE=gd&quot;
&lt;/snip&gt;

Dies w/ USE=&quot;-gd&quot; and *still* dies if media-libs/gd is not installed, plus the use flag is just bogus.
</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>mattepiu@gentoo.org</who>
            <bug_when>2007-04-06 10:33:19 0000</bug_when>
            <thetext>Created an attachment (id=115550)
geda-20070216.ebuild

Version that compiles fine with USE=&quot;-gd&quot; and no gd installed.</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>mattepiu@gentoo.org</who>
            <bug_when>2007-04-06 10:37:14 0000</bug_when>
            <thetext>Created an attachment (id=115554)
libgeda-20070216.ebuild

same as above but for libgeda, tested working with gd flag off.</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>jakub@gentoo.org</who>
            <bug_when>2007-04-06 10:58:10 0000</bug_when>
            <thetext>(From update of attachment 115550)
Again - the use flag in the is bogus and doesn&apos;t do anything useful. Why is this check needed in sci-electronics/geda anyway? Doesn&apos;t the one in libgeda do the job already? 
</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>calchan@gentoo.org</who>
            <bug_when>2007-04-06 11:13:42 0000</bug_when>
            <thetext>Thanks Matteo, I&apos;ll look into this when I reach home.

Denis.</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>calchan@gentoo.org</who>
            <bug_when>2007-04-07 20:42:05 0000</bug_when>
            <thetext>OK, it&apos;s fixed now. The story is that I thought I was smart enough to be able to reduce the number of emerge to check all cases. Apparently I&apos;m not.

Sorry for any annoyance.
Denis.</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>jakub@gentoo.org</who>
            <bug_when>2007-04-08 13:23:17 0000</bug_when>
            <thetext>Don&apos;t get me wrong, but which part of

- the USE=gd is bogus in sci-electronics/geda

and

- it will *still* die if media-libs/gd is not installed

is so horribly unclear?

http://sources.gentoo.org/viewcvs.py/gentoo-x86/sci-electronics/geda/geda-20070216.ebuild?r1=1.3&amp;r2=1.4

^^^ The above is still broken, drop the flag and drop the check.

</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>jakub@gentoo.org</who>
            <bug_when>2007-04-08 13:30:52 0000</bug_when>
            <thetext>To make it more clear, this
http://sources.gentoo.org/viewcvs.py/gentoo-x86/sci-electronics/geda/geda-20070216.ebuild?rev=1.1&amp;view=markup was last correct ebuild.

Either the check in sci-libs/libgeda is enough to make this compile no matter what, or you have a missing dependency (hard one, not optional - because the gd use flag doesn&apos;t affect sci-electronics/geda compile in any way).
</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>mattepiu@gentoo.org</who>
            <bug_when>2007-04-09 14:54:59 0000</bug_when>
            <thetext>On x86 seems emerging fine without gd, sorry...

#emerge -pv gd geda libgeda
These are the packages that would be merged, in order:
Calculating dependencies... done!
[ebuild  N    ] media-libs/gd-2.0.34  USE=&quot;jpeg png truetype -fontconfig -xpm&quot; 1,109 kB
[ebuild   R   ] sci-electronics/geda-20070216  USE=&quot;-doc -examples -gd&quot; 0 kB
[ebuild   R   ] sci-libs/libgeda-20070216  USE=&quot;-gd&quot; 0 kB
Total: 3 packages (1 new, 2 reinstalls), Size of downloads: 1,109 kB</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>calchan@gentoo.org</who>
            <bug_when>2007-04-12 06:47:07 0000</bug_when>
            <thetext>Jakub,

Matteo, a couple other people I asked and myself can&apos;t reproduce your issue. So I&apos;m closing this bug. Feel free to reopen it with the usual necessary information (detailed report, emerge info, etc...).

Denis.</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>jakub@gentoo.org</who>
            <bug_when>2007-04-12 07:30:53 0000</bug_when>
            <thetext>OK, lets try again...

&lt;snip&gt;
--- geda-20070216.ebuild	2007/03/10 14:14:38	1.1
+++ geda-20070216.ebuild	2007/04/07 20:24:41	1.4
@@ -17,7 +17,7 @@
 	doc? ( http://www.geda.seul.org/devel/${PV}/geda-docs-${PV}.tar.gz )
 	examples? ( http://www.geda.seul.org/devel/${PV}/geda-examples-${PV}.tar.gz )&quot;
 
-IUSE=&quot;doc examples&quot;
+IUSE=&quot;doc examples gd&quot;
 LICENSE=&quot;GPL-2&quot;
 KEYWORDS=&quot;~amd64 ~ppc ~sparc ~x86&quot;
 SLOT=&quot;0&quot;
@@ -31,6 +31,11 @@
 		built_with_use &quot;dev-scheme/guile&quot; deprecated \
 			|| die &quot;You need either &lt;dev-scheme/guile-1.8, or &gt;=dev-scheme/guile-1.8 with USE=deprecated&quot;
 	fi
+	if use gd ; then
+		built_with_use sci-libs/libgeda gd || die &quot;sci-libs/libgeda must be compiled with USE=gd&quot;
+	else
+		! built_with_use sci-libs/libgeda gd || die &quot;sci-libs/libgeda must be compiled with USE=-gd&quot;
+	fi
 }
 
 src_compile() {
&lt;/snip&gt;

So, what you&apos;ve done? You added USE=gd, which... uhm, does nothing. Doesn&apos;t affect the compile result in any way. The only thing it does it checking whether sci-libs/libgeda was compiled w/ USE=gd for whatever reason.

USE=&quot;gd&quot; emerge libgeda geda -&gt; nothing happens
USE=&quot;-gd&quot; emerge  geda -&gt; now it will die on the check, why?!

or

USE=&quot;-gd&quot; emerge libgeda geda -&gt; nothing happens
USE=&quot;gd&quot; emerge  geda -&gt; now it will again die on the check, why?!

</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>calchan@gentoo.org</who>
            <bug_when>2007-04-12 09:37:33 0000</bug_when>
            <thetext>(In reply to comment #14)
&gt; So, what you&apos;ve done? You added USE=gd, which... uhm, does nothing. Doesn&apos;t
&gt; affect the compile result in any way. The only thing it does it checking
&gt; whether sci-libs/libgeda was compiled w/ USE=gd for whatever reason.

The compile result is different whether libgeda is compiled with gd or not. As a dev you should have seen that. The check is a workaround for Portage not having USE flag dependencies yet. Since I don&apos;t work alone in my corner, I contacted a senior dev about this, and he confirmed adding a gd USE flag was a &quot;sane&quot; (his word) thing to do. Until I&apos;m proved we were both wrong, this gd USE flag is here to stay, sorry.

&gt; USE=&quot;gd&quot; emerge libgeda geda -&gt; nothing happens
&gt; USE=&quot;-gd&quot; emerge  geda -&gt; now it will die on the check, why?!
&gt; 
&gt; or
&gt; 
&gt; USE=&quot;-gd&quot; emerge libgeda geda -&gt; nothing happens
&gt; USE=&quot;gd&quot; emerge  geda -&gt; now it will again die on the check, why?!

I would like to know why too. This problem couldn&apos;t be reproduced by 3 devs who tried it on 4 different machines. I&apos;m not saying your problem doesn&apos;t exist, but as long as I don&apos;t have the necessary info to investigate I can&apos;t do much.

Denis.</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>jakub@gentoo.org</who>
            <bug_when>2007-04-12 10:05:36 0000</bug_when>
            <thetext>(In reply to comment #15)
&gt; The compile result is different whether libgeda is compiled with gd or not. As
&gt; a dev you should have seen that. 

Eh. I give up. There&apos;s nothing to be seen in the ebuild, the flag doesn&apos;t do anything there wrt the compile itself -&gt; you apparently have an automagic dependency here.</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>calchan@gentoo.org</who>
            <bug_when>2007-04-13 13:24:48 0000</bug_when>
            <thetext>&gt; Eh. I give up. There&apos;s nothing to be seen in the ebuild, the flag doesn&apos;t do
&gt; anything there wrt the compile itself -&gt; you apparently have an automagic
&gt; dependency here.

Wasn&apos;t that obvious ?

Anyway, I still believe it&apos;s important to know what happens in your case, and why the checks die on your machine and not on others. If there&apos;s a real bug waiting to be solved, we shouldn&apos;t stop here. So, please, send us the necessary info.

Thanks in advance.

Denis.</thetext>
          </long_desc>
      
          <attachment
              isobsolete="1"
              ispatch="0"
              isprivate="0"
          >
            <attachid>115550</attachid>
            <date>2007-04-06 10:33 0000</date>
            <desc>geda-20070216.ebuild</desc>
            <filename>geda-20070216.ebuild</filename>
            <type>text/plain</type>
            <data encoding="base64">IyBDb3B5cmlnaHQgMTk5OS0yMDA3IEdlbnRvbyBGb3VuZGF0aW9uCiMgRGlzdHJpYnV0ZWQgdW5k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</data>        

          </attachment>
          <attachment
              isobsolete="0"
              ispatch="0"
              isprivate="0"
          >
            <attachid>115554</attachid>
            <date>2007-04-06 10:37 0000</date>
            <desc>libgeda-20070216.ebuild</desc>
            <filename>libgeda-20070216.ebuild</filename>
            <type>text/plain</type>
            <data encoding="base64">IyBDb3B5cmlnaHQgMTk5OS0yMDA3IEdlbnRvbyBGb3VuZGF0aW9uCiMgRGlzdHJpYnV0ZWQgdW5k
ZXIgdGhlIHRlcm1zIG9mIHRoZSBHTlUgR2VuZXJhbCBQdWJsaWMgTGljZW5zZSB2MgojICRIZWFk
ZXI6IC92YXIvY3Zzcm9vdC9nZW50b28teDg2L3NjaS1saWJzL2xpYmdlZGEvbGliZ2VkYS0yMDA3
MDIxNi5lYnVpbGQsdiAxLjIgMjAwNy8wNC8wNSAwNjo1NjowNCBjYWxjaGFuIEV4cCAkCgppbmhl
cml0IGV1dGlscwoKSE9NRVBBR0U9Imh0dHA6Ly93d3cuZ2VkYS5zZXVsLm9yZyIKREVTQ1JJUFRJ
T049ImxpYmdlZGEgLSB0aGlzIGxpYnJhcnkgcHJvdmlkZXMgZnVuY3Rpb25zIG5lZWRlZCBmb3Ig
dGhlIGdFREEgY29yZSBzdWl0ZSIKU1JDX1VSST0iaHR0cDovL3d3dy5nZWRhLnNldWwub3JnL2Rl
dmVsLyR7UFZ9L2xpYmdlZGEtJHtQVn0udGFyLmd6IgoKSVVTRT0iZ2QiCkxJQ0VOU0U9IkdQTC0y
IgpLRVlXT1JEUz0ifmFtZDY0IH5wcGMgfnNwYXJjIH54ODYiClNMT1Q9IjAiCgpERVBFTkQ9Ij49
eDExLWxpYnMvZ3RrKy0yLjQKCT49ZGV2LXNjaGVtZS9ndWlsZS0xLjYuMwoJPj1kZXYtbGlicy9s
aWJzdHJva2UtMC41LjEKCWdkPyAoID49bWVkaWEtbGlicy9nZC0yICkiCgpwa2dfc2V0dXAoKSB7
CglpZiBoYXNfdmVyc2lvbiAiPj1kZXYtc2NoZW1lL2d1aWxlLTEuOCIgOyB0aGVuCgkJYnVpbHRf
d2l0aF91c2UgImRldi1zY2hlbWUvZ3VpbGUiIGRlcHJlY2F0ZWQgXAoJCQl8fCBkaWUgIllvdSBu
ZWVkIGVpdGhlciA8ZGV2LXNjaGVtZS9ndWlsZS0xLjgsIG9yID49ZGV2LXNjaGVtZS9ndWlsZS0x
Ljggd2l0aCBVU0U9ZGVwcmVjYXRlZCIKCWZpCglpZiB1c2UgZ2QgOyB0aGVuCgkJYnVpbHRfd2l0
aF91c2UgbWVkaWEtbGlicy9nZCBwbmcgfHwgZGllICJtZWRpYS1saWJzL2dkIG11c3QgYmUgY29t
cGlsZWQgd2l0aCBVU0U9cG5nIgoJZmkKfQoKc3JjX3VucGFjaygpIHsKCXVucGFjayAke0F9CgoJ
IyBTa2lwIHRoZSBzaGFyZSBzdWItZGlyZWN0b3J5LCB3ZSdsbCBpbnN0YWxsIHByb2xvZy5wcyBt
YW51YWxseQoJc2VkIC1pIFwKCQktZSAiczpTVUJESVJTID0gc3JjIGluY2x1ZGUgc2NyaXB0cyBk
b2NzIHNoYXJlOlNVQkRJUlMgPSBzcmMgaW5jbHVkZSBzY3JpcHRzIGRvY3M6IiBcCgkJJHtTfS9N
YWtlZmlsZS5pbiBcCgkJfHwgZGllICJQYXRjaCBmYWlsZWQiCn0KCnNyY19jb21waWxlKCkgewoJ
ZWNvbmYgLS1kaXNhYmxlLWRlcGVuZGVuY3ktdHJhY2tpbmcgJCh1c2VfZW5hYmxlIGdkKSB8fCBk
aWUgIkNvbmZpZ3VyYXRpb24gZmFpbGVkIgoJZW1ha2UgfHwgZGllICJDb21waWxhdGlvbiBmYWls
ZWQiCn0KCnNyY19pbnN0YWxsKCkgewoJZW1ha2UgREVTVERJUj0ke0R9IGluc3RhbGwgfHwgZGll
ICJJbnN0YWxsYXRpb24gZmFpbGVkIgoKCWluc2ludG8gL3Vzci9zaGFyZS9nRURBCglkb2lucyBz
aGFyZS9wcm9sb2cucHMKCglkb2RvYyBBVVRIT1JTIEJVR1MgQ2hhbmdlTG9nIFJFQURNRQp9Cg==
</data>        

          </attachment>
    </bug>

</bugzilla>